'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var Room = function () {
  _createClass(Room, null, [{
    key: 'getIndex',
    value: function getIndex(label) {
      if (/c[oh]\d+/.test(label)) return 0;
      if (/バックステージパス/.test(label)) return 0;
      if (/アリーナ/.test(label)) return 0;
      if (/立ち見(\d)/.test(label)) return Room.ALL_LABEL.findIndex(function (l) {
        return l === label;
      });
      return null;
    }
  }, {
    key: 'ALL_LABEL',
    get: function get() {
      return ['アリーナ', '立ち見1', '立ち見2', '立ち見3', '立ち見4', '立ち見5', '立ち見6', '立ち見7', '立ち見8', '立ち見9', '立ち見10'];
    }
  }, {
    key: 'ALL_SHORT_LABEL',
    get: function get() {
      return ['ｱ', 'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J'];
    }
  }]);

  function Room(label) {
    _classCallCheck(this, Room);

    this.label = label;
    this.index = Room.getIndex(label);
  }

  _createClass(Room, [{
    key: 'next',
    value: function next() {
      if (this.index > 10) return new Room('立ち見席');
      if (Number.isInteger(this.index)) return new Room(Room.ALL_LABEL[this.index + 1]);
      return new Room('立ち見席');
    }
  }, {
    key: 'previous',
    value: function previous() {
      if (this.index === 0) return new Room('');
      if (Number.isInteger(this.index)) return new Room(Room.ALL_LABEL[this.index - 1]);
      return new Room('');
    }
  }, {
    key: 'shortLabel',
    get: function get() {
      if (Number.isInteger(this.index)) return Room.ALL_SHORT_LABEL[this.index];
      return '';
    }
  }]);

  return Room;
}();

exports.default = Room;